Create task schedule
Creates a new task schedule. Returns the created task schedule.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
In: header
Path Parameters
taskId*string
The unique identifier of the task
Format
uuidRequest Body
application/json
The task schedule data.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/schedules" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "timeZone": "string", "startDate": "2019-08-24T14:15:22Z", "endDate": "2019-08-24T14:15:22Z" }'{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "taskScheduleId": "a3ee8463-a02f-4303-b1b0-f3e3a31162f1", "name": "string", "description": "string", "appId": "string", "isActive": true, "execution": "string", "priority": 0, "startDate": "2019-08-24T14:15:22Z", "endDate": "2019-08-24T14:15:22Z", "nextExecutionDate": "2019-08-24T14:15:22Z", "createdDate": "2019-08-24T14:15:22Z", "modifiedDate": "2019-08-24T14:15:22Z", "frequency": "string", "timeZone": "string", "day": 0, "month": 0, "atHour": 0, "atMinut": 0, "everyHours": 0, "fromHour": 0, "fromMinut": 0, "toHour": 0, "toMinut": 0, "weeklyDays": "string", "timeZoneOfset": "string", "type": "string" }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}